use libadwaita :: * ;

use crate :: ui :: { * , utility :: * } ;



pub struct FilmSortButton { widget : SplitButton }

impl FilmSortButton {
	pub fn new () -> Self {
		let widget = SplitButton :: builder ()
			. child ( & label ! ("Sort") )
			. build () ;

		Self { widget }
	}
}

impl Component <SplitButton> for FilmSortButton {
	fn get_widget ( & self ) -> & SplitButton { & self . widget }
}
